GETGRNAM(3)

NAME
getgrnam, getgrgid - get group file entry

SYNOPSIS
#include <grp.h>
#include <sys/types.h>

struct group *getgrnam(const char *name);

struct group *getgrgid(gid_t gid);

DESCRIPTION
The getgrnam() function returns a pointer to a structure containing the group information from /etc/group for the entry that matches the group name name.

The getgrgid() function returns a pointer to a structure containing the group information from /etc/group for the entry that matches the group gid gid.

The group structure is defined in <grp.h> as follows:

    struct group {
            char    *gr_name;        /* group name */
            char    *gr_passwd;      /* group password */
            gid_t   gr_gid;          /* group id */
            char    **gr_mem;        /* group members */
    };

RETURN VALUE
The getgrnam() and getgrgid() functions return the group information structure, or NULL if the matching entry is not found or an error occurs.

ERRORS

ENOMEM
    Insufficient memory to allocate group information structure.

FILES

/etc/group
     group database file

CONFORMING TO
SVID 3, POSIX, BSD 4.3

SEE ALSO
fgetgrent(3), getgrent(3), setgrent(3), endgrent(3)